#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### katomic (executable) ######################

tde_add_executable( katomic AUTOMOC
  SOURCES feld.cpp molek.cpp main.cpp toplevel.cpp configbox.cpp gamewidget.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( katomic )


##### other data ################################

install( DIRECTORY levels
  DESTINATION ${DATA_INSTALL_DIR}/katomic
)

install( FILES abilder.png molek.png
  DESTINATION ${DATA_INSTALL_DIR}/katomic/pics
)

install( FILES katomicui.rc
  DESTINATION ${DATA_INSTALL_DIR}/katomic
)

tde_create_translated_desktop( katomic.desktop )
